
describe Testcloud do

  context 'environment' do

    it 'should add an env reader method to the Testcloud module' do
      expect(Testcloud).to respond_to(:env)
    end

    it 'should add an env setter method to the Testcloud module' do
      expect(Testcloud).to respond_to(:env=)
    end

    it 'should be configurable through the env= setter' do
      Testcloud.env = 'live_long_and_prosper'
      expect(Testcloud.env).to eq('live_long_and_prosper')
    end

    it 'should be questionable' do
      Testcloud.env = 'live_long_and_prosper'
      expect(Testcloud.env).to respond_to(:production?)
      expect(Testcloud.env.live_long_and_prosper?).to eq(true)
    end

  end

  context 'uuid' do

    it 'should create thread unique uuids' do
      orig_uuid = Testcloud.uuid
      other_uuid = nil
      t = Thread.new do
        other_uuid = Testcloud.uuid
      end
      t.join

      expect(other_uuid).to_not eq(nil)
      expect(orig_uuid).to_not eq(other_uuid)
    end

  end
end
